cURL
curl --request GET \
--url https://test.deribit.com/api/v2/public/set_heartbeat \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 9098,
"method": "public/set_heartbeat",
"params": {
"interval": 30
}
}
'import requests
url = "https://test.deribit.com/api/v2/public/set_heartbeat"
payload = {
"jsonrpc": "2.0",
"id": 9098,
"method": "public/set_heartbeat",
"params": { "interval": 30 }
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 9098,
method: 'public/set_heartbeat',
params: {interval: 30}
})
};
fetch('https://test.deribit.com/api/v2/public/set_heartbeat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 1569,
"result": "ok"
}Session Management
public/set_heartbeat
Signals the WebSocket connection to send and request heartbeats. Heartbeats can be used to detect stale connections.
When heartbeats have been set up, the API server will send heartbeat messages and test_request messages. Your software should respond to test_request messages by sending a /api/v2/public/test request. If your software fails to do so, the API server will immediately close the connection. If your account is configured to cancel on disconnect, any orders opened over the connection will be cancelled.
WebSocket Only: This method is designed exclusively for WebSocket connections. Attempting to use it via REST/HTTP will result in an error response.
cURL
Query Parameters
The heartbeat interval in seconds, but not less than 10
Example:
30
Was this page helpful?